function love.load()
    speed = 0
    maxSpeed = 200
    acceleration = 100
    deceleration = acceleration * 0.7
    
	sprite_sheet1 = love.graphics.newImage("/sprite_sheet1.png")
	
	dustParticle = love.graphics.newImage("/dust.png")
	
	sprite = {}
	
	local spriteNum = 7
	
	for i=1, spriteNum do
		sprite[i] = love.graphics.newQuad(-32 + (32 * i),0,32,32,sprite_sheet1:getWidth(),sprite_sheet1:getHeight())
	end
	
	sprite_sheet2 = love.graphics.newImage("/sprite_sheet2.png")
	
	local spriteNum = 2
	
	local obsticlesSprs = 1
	
	obsticleSprite = {
		{
			love.graphics.newQuad(0,0,19,21,sprite_sheet2:getWidth(),sprite_sheet2:getHeight()),
			love.graphics.newQuad(19,0,19,21,sprite_sheet2:getWidth(),sprite_sheet2:getHeight()),
			love.graphics.newQuad(0,0,19,21,sprite_sheet2:getWidth(),sprite_sheet2:getHeight()),
			love.graphics.newQuad(19,0,19,21,sprite_sheet2:getWidth(),sprite_sheet2:getHeight()),
		}
	}
	
	player_x = 200
	player_y = 200
	player_r = 0
	
	obsticles = {
		{x=100,y=100,spr=1,h=8},
	}
	
	dustParticles = {}
	
	particleTimr = 0
	
	love.graphics.setBackgroundColor(100,100,100)
	
	love.graphics.setDefaultFilter('nearest','nearest')
end

function love.draw()
	love.graphics.setColor(255,255,255)

	for i, v in ipairs(dustParticles) do
		love.graphics.draw(dustParticle,v.x,v.y,0,v.scale)
	end
	
	for i, v in ipairs(sprite) do
		love.graphics.draw(sprite_sheet1,sprite[i],player_x,player_y - 2 * (i - 1),player_r,1,1,16,16)
	end
	
	for i, v in ipairs(obsticles) do
		for i=1, #obsticleSprite[v.spr] do
			love.graphics.draw(sprite_sheet2,obsticleSprite[v.spr][i],v.x,v.y - v.h * (i - 1))
		end
	end
end

function love.update(dt)

	for i, v in ipairs(dustParticles) do
		v.tim = v.tim + 1
		v.scale = v.scale + 0.02
		if v.tim > 50 then
			table.remove(dustParticles,i)
		end
	end

    local rotAmount = 5 * dt
	if love.keyboard.isDown("right") then
		player_r = player_r + rotAmount
	end
	if love.keyboard.isDown("left") then
		player_r = player_r - rotAmount
	end
    
    if love.keyboard.isDown("up") then
		speed = speed + acceleration*dt
		
		if particleTimr > 30 then
			addParticle()
			--particleTimr = 0
		else
			particleTimr = particleTimr + 1
		end
		
	elseif love.keyboard.isDown("down") then
        speed = speed - acceleration*dt
    else
        speed = speed - deceleration*dt
    end
    if speed > maxSpeed then
        speed = maxSpeed
    elseif speed < 0 then
        speed = 0
    end
    
    -- Move the car
    player_x = player_x + math.cos(player_r) * speed * dt
    player_y = player_y + math.sin(player_r) * speed * dt
end

function addParticle()
	local particle = {x=player_x,y=player_y,tim=0,scale=0.6}
	table.insert(dustParticles,particle)
end

function love.keypressed(key)
	if key == "escape" then
		love.event.quit()
	end
end